# Используем официальный образ Node.js в качестве базового образа
FROM node:18

# Устанавливаем рабочую директорию внутри контейнера
WORKDIR /app

# Копируем package.json и package-lock.json в рабочую директорию
COPY package*.json ./

# Устанавливаем глобально Nest CLI
RUN npm install -g @nestjs/cli

# Устанавливаем зависимости
RUN npm install

# Копируем остальной код приложения в рабочую директорию
COPY . .

# Компилируем приложение NestJS
RUN nest build

# Открываем порт, который будет использоваться приложением
EXPOSE 3000

# Указываем команду для запуска приложения
CMD ["npm", "run", "start:prod"]

